Magick++ 6.9.6

Public Member Functions | Protected Member Functions | List of all members
Magick::ColorGray Class Reference

`#include <Color.h>`

Inheritance diagram for Magick::ColorGray:
[legend]
Collaboration diagram for Magick::ColorGray:
[legend]

## Public Member Functions
| ColorGray (void)
| ColorGray (const Color &color_)
| ColorGray (double shade_)
| ~ColorGray ()
void | shade (double shade_)
double | shade (void) const
ColorGray & | operator= (const Color &color_)
Public Member Functions inherited from Magick::Color
| Color (void)
| Color (Magick::Quantum red_, Magick::Quantum green_, Magick::Quantum blue_)
| Color (Magick::Quantum red_, Magick::Quantum green_, Magick::Quantum blue_, Magick::Quantum alpha_)
| Color (const char *x11color_)
| Color (const Color &color_)
| Color (const PixelPacket &color_)
| Color (const std::string &x11color_)
virtual | ~Color (void)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *x11color)
const Color & | operator= (const std::string &x11color_)
const Color & | operator= (const PixelPacket &color_)
| operator PixelPacket () const
| operator std::string () const
void | alpha (double alpha_)
double | alpha (void) const
void | alphaQuantum (Quantum alpha_)
Quantum | alphaQuantum (void) const
void | blueQuantum (Quantum blue_)
Quantum | blueQuantum (void) const
void | greenQuantum (Quantum green_)
Quantum | greenQuantum (void) const
void | isValid (bool valid_)
bool | isValid (void) const
void | redQuantum (Quantum red_)
Quantum | redQuantum (void) const
double | intensity (void) const

## Protected Member Functions
| ColorGray (PixelPacket *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelPacket *rep_, PixelType pixelType_)
void | pixel (PixelPacket *rep_, PixelType pixelType_)

## Additional Inherited Members
Static Public Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Types inherited from Magick::Color
enum | PixelType { RGBPixel, RGBAPixel, CYMKPixel }
Protected Attributes inherited from Magick::Color
PixelPacket * | _pixel

## Detailed Description

Definition at line 187 of file Color.h.

## Constructor & Destructor Documentation

Magick::ColorGray::ColorGray | ( | void |  | ) |

Definition at line 291 of file Color.cpp.

Magick::ColorGray::ColorGray | ( | const Color & | color_ | ) |

Definition at line 296 of file Color.cpp.

Magick::ColorGray::ColorGray | ( | double | shade_ | ) |

Definition at line 301 of file Color.cpp.

References Magick::Color::alphaQuantum().

Magick::ColorGray::~ColorGray | ( |  | ) |

Definition at line 308 of file Color.cpp.

Magick::ColorGray::ColorGray | ( | Magick::PixelPacket * | rep_,
|  | PixelType | pixelType_
| ) |  |
| inline protected

Definition at line 451 of file Color.h.

## Member Function Documentation

Magick::ColorGray & Magick::ColorGray::operator= | ( | const Color & | color_ | ) |

Definition at line 325 of file Color.cpp.

void Magick::ColorGray::shade | ( | double | shade_ | ) |

Definition at line 312 of file Color.cpp.

double Magick::ColorGray::shade | ( | void |  | ) | const

Definition at line 320 of file Color.cpp.

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp